[karmic] periodic crashes in active use, returning to gdm login. nvidia-glx-173 (nvidia 5200)

Bug #502032 reported by Andrew R on 2010-01-01
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-173 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xorg

Ubuntu 9.10.
nvidia-glx-173 - 173.14.20-0ubuntu5 (nVidia Corporation NV34 [GeForce FX 5200] (rev a1))
xorg - 1:7.4+3ubuntu10
I am unable to post steps to reproduce this bug; it appears to happen under what i would call 'normal' system use, without a recognisable (as of yet) trigger pattern.

ProblemType: Bug
Architecture: i386
Date: Fri Jan 1 07:50:41 2010
DistroRelease: Ubuntu 9.10
MachineType: MSI MS-6547
NonfreeKernelModules: nvidia
Package: xorg 1:7.4+3ubuntu10
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-17-generic root=UUID=1d26f9bc-b1ad-4e65-93dd-cfcb3799a26f ro quiet splash
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu10
 libgl1-mesa-glx 7.6.0-1ubuntu4
 libdrm2 2.4.14-1ubuntu1
 xserver-xorg-video-intel 2:2.9.0-1ubuntu2
 xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
SourcePackage: xorg
Uname: Linux 2.6.31-17-generic i686
dmi.bios.date: 12/20/01
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 07.00T
dmi.board.name: MS-6547
dmi.board.vendor: MSI
dmi.board.version: 2.00
dmi.chassis.asset.tag: 0123ABC
dmi.chassis.type: 3
dmi.chassis.vendor: Uknown Chassis Manufacture
dmi.chassis.version: Version 1.00
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr07.00T:bd12/20/01:svnMSI:pnMS-6547:pvr2.00:rvnMSI:rnMS-6547:rvr2.00:cvnUknownChassisManufacture:ct3:cvrVersion1.00:
dmi.product.name: MS-6547
dmi.product.version: 2.00
dmi.sys.vendor: MSI
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.31-17-generic
---
Architecture: i386
DistroRelease: Ubuntu 10.10
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100114)
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers-173 (not installed)
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.34-generic 2.6.35.4
Tags: maverick
Uname: Linux 2.6.35-22-generic i686
UnreportableReason: The drivers from nvidia.com are not supported by Ubuntu. Please uninstall them and test whether your problem still occurs.
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
system:
 distro: Ubuntu
 codename: maverick
 architecture: i686
 kernel: 2.6.35-22-generic

Andrew R (andyrug) wrote :
Bryce Harrington (bryce) on 2010-01-01
affects: xorg (Ubuntu) → nvidia-graphics-drivers-180 (Ubuntu)
affects: nvidia-graphics-drivers-180 (Ubuntu) → ubuntu
Fabio Marconi (fabiomarconi) wrote :

Hello
Is this problem present with the latest updated Karmic's, Lucid's or Maverick's packages?
Thanks in advance
Fabio

Changed in ubuntu:
status: New → Incomplete
Andrew R (andyrug) wrote :

For me, this problem was present in Karmic which I ran (with latest upgrades) until Beta 1 Lucid, where the problem was not present at all. Now running Maverick, since Beta 2, and only had the problem occur once, which occurred since final release. I am now utilising Nvidia 173.14.28.

Fabio Marconi (fabiomarconi) wrote :

hello, have you tried the latest nvidia drivers?
Fabio

affects: ubuntu → nvidia-graphics-drivers-173 (Ubuntu)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Andrew R (andyrug) wrote :

173.14.28 is the latest driver, for my (legacy) GeForce 5200 graphics adaptor.

To quote http://www.nvnews.net/vbulletin/showthread.php?t=122606 :

    Current NVIDIA Linux graphics driver releases:

    Current official release: 260.19.12 (x86 / x86_64)

    Legacy releases for GeForce 5 series GPUs
        Current official release: 173.14.27 (x86 / x86_64)
        Current prerelease: 173.14.28

    Legacy releases for GeForce 2 through GeForce 4 series GPUs
        Current official release: 96.43.18 (x86 / x86_64)

    Legacy releases for Riva TNT, TNT2, GeForce, and some GeForce 2 GPUs
        Current official release: 71.86.14 (x86 / x86_64)

Fabio Marconi (fabiomarconi) wrote :

Ok Andrew
Could you please run in a terminal
apport-collect 502032
thanks
fabio

apport information

tags: added: apport-collected
description: updated
Andrew R (andyrug) wrote :

Hello, Fabio,

I got a dialog box whilst apport was gathering information, stating that drivers downloaded from nvidia can interfere with ubuntu's drivers, and asking me to uninstall the downloaded driver. I need to use the (downloaded) nvidia prerelease (172.14.28) as it provides compatibility with xorg 1.9.

Andrew

Fabio Marconi (fabiomarconi) wrote :

Hello Andrew
Thanks for the reply
I set the status to new
Fabio

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Incomplete → New
Alan Jackson (alan-ajackson) wrote :

I haven't had a crash in quite some time. Of course it tended to be once or twice a month so it may take awhile. I'm now running 185.18.36 on Karmic.
GeForce 6200 TurboCache(TM)
I recently added a second head, and it seems to be performing fine.

Bryce Harrington (bryce) on 2010-11-22
tags: added: karmic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers